The **Dolby.io Communications SDK for Web** offers a JavaScript library with TypeScript definitions that provides all the [Dolby.io Communications APIs](https://docs.dolby.io/communications-apis/docs/overview-introduction) benefits with:
<br>
<br>
✓ Support in the browser using WebRTC
<br>
<br>
✓ Support on the desktop with Electron

The SDK is an UMD module that you can import directly in a browser using a CDN or via a package manager like [npm](https://www.npmjs.com/package/@voxeet/voxeet-web-sdk). It consists of static objects, such as services, that you can access via the main **VoxeetSDK** object. The SDK is asynchronous and uses [Promise](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Promise) at its core.

To get started quickly, complete the [Getting Started](https://docs.dolby.io/communications-apis/docs/getting-started-with-the-javascript-sdk) tutorial.

For additional information on Web SDK releases, recent changes, and new features, see the [Release Notes](https://docs.dolby.io/communications-apis/changelog).